* {
  text-decoration: none;
}
body {
  background: rgb(255, 252, 248);
  backdrop-filter: none;
}
.container {
  display: grid;
  grid-template:
    "main aside" 1fr
    /68% 32%;
  max-width: 1300px;
  margin: 0 auto;
  width: 100%;
}
.wordContentBox{
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  grid-gap: 5px;
  margin: 50px;
  list-style: none;
}
.wordContentBox li{
  background: rgb(253, 237, 209);
  padding: 8px;
  border-radius: 10px;
  font-weight: bold;
  color: #333;
  transition: .3s ease all;
}
.wordContentBox li:hover{
  background-color: orange;
}
.wordContentBox li:hover a{
  color: #fff;
}
h1 {
  padding: 1rem;
  text-align: center;
}
h2 {
  width: 95%;
  margin: 20px auto;
  padding: 10px;
  padding-left: 30px;
  color: #333;
  border-left: 5px solid orange;
  border-bottom: 1px dotted #333;
}
main h3 {
  width: 90%;
  margin: 15px auto;
  padding: 7px;
  padding-left: 30px;
  color: #333;
  border-left: 5px solid red;
}
main h3:hover {
  color: #333;
}
section {
  margin: 50px auto;
}
section p{
  width: 90%;
  padding: 10px;
  margin: 5px auto;
}
.sen {
  border: 1px dotted #333;
  margin: 70px auto;
}
.entry-meta{
  display: flex;
  justify-content: end;
  line-height: 1em;
}
.posted-date, .modified-date{
  margin-right: 10px;
}

details {
  width: 90%;
  height: 10px;
  margin: 30px auto;
  margin-bottom: 100px;
  transition: all 0.5s ease;
}
summary {
  position: relative;
  display: flex;
  align-items: center;
  width: 100%;
  height: 40px;
  padding-top: 5px;
  padding-left: 30px;
  color: transparent;
  text-shadow: 1px 1px 1px black;
  font-size: 1.5em;
  font-weight: bold;
  transition: all 0.3s ease;
  cursor: pointer;
}
summary span {
  color: #fff;
}
details summary {
  background: rgb(255, 157, 0);
}
details summary:hover {
  background: rgb(165, 102, 0);
}

summary::after {
  content: "+";
  position: absolute;
  right: 20px;
  transition: all 0.3s ease;
}
details[open] summary::after {
  transform: rotate(45deg);
}
details[open] {
  height: 300px;
}
details[open] .chEx {
  overflow: auto;
  animation: ani 1s;
}
.chEx{
  background: rgb(251, 246, 255);
  padding: 10px;
  border-radius: 0 0 10px 10px;
  font-family: microsoft yahei;
}
.chEx h3, .chEx span{
  font-family: microsoft yahei;
}
@keyframes ani {
  0% {
    opacity: 0;
    transform: translateY(-20px);
  }
  100% {
    opacity: 1;
    transform: none;
  }
}

.red {
  font-size: 1.2em;
  font-weight: bold;
  color: red;
}
.blue {
  font-size: 1.2em;
  font-weight: bold;
  color: blue;
}
.orange {
  font-size: 1.2em;
  font-weight: bold;
  color: orange;
}
.purple {
  font-size: 1.2em;
  font-weight: bold;
  color: purple;
}
.black {
  font-size: 1.2em;
  font-weight: bold;
  color: black;
}
.wrong,
#index,
.header  {
  width: 90%;
  background: rgb(234, 242, 255);
  text-align: center;
  font-size: 1.5em;
  font-weight: bold;
  border-radius: 20px;
}
.waku p {
  font-size: 1.5em;
}
#index-wrapper ol {
  padding-left: 20px;
}
.wrong-ex {
  position: relative;
  margin-bottom: 7px;
  padding-left: 30px;
}
.wrong-ex::before {
  content: "✘";
  position: absolute;
  top: 3px;
  left: -3px;
  color: red;
  font-weight: bold;
  transform: scale(2);
}

main .wrapper img {
  width: 70px;
  height: 70px;
  object-fit: cover;
  margin: 10px;
  margin-right: 40px;
  border-radius: 50%;
}
main .wrapper {
  display: flex;
  align-items: center;
  padding: 10px;
  opacity: 0;
  transition: all 1s ease;
}
main .wrapper.active {
  animation: appear 2s forwards;
}
@keyframes appear {
  0% {
    opacity: 0;
    transform: translateY(50px);
  }
  50% {
    transform: translateY(-20px);
  }
  100% {
    opacity: 1;
    transform: none;
  }
}
main .wrapper:nth-of-type(even) {
  flex-direction: row-reverse;
}
main .wrapper:nth-of-type(even) img {
  margin-left: 40px;
}
.personA,
.personB {
  position: relative;
  max-width: 500px;
  height: 100%;
  padding: 10px;
  text-align: left;
  line-height: 1em;
  color: #ffffff;
  font-size: 20px;
  font-weight: bold;
  border-radius: 15px;
  -webkit-border-radius: 15px;
  -moz-border-radius: 15px;
  text-shadow: 1px 1px 2px #111;
}
.personA {
  background: rgb(218, 0, 36);
  border: 2px solid #666;
}
.personB {
  background: rgb(0, 0, 194);
  border: 2px solid #9b350a;
}
.personA:after,
.personA:before,
.personB:after,
.personB:before {
  border: solid transparent;
  content: "";
  height: 0;
  width: 0;
  pointer-events: none;
  position: absolute;
  top: 50%;
}
.personA:after,
.personA:before {
  right: 100%;
}
.personB:after,
.personB:before {
  left: 100%;
}
.personA::after,
.personB::after {
  border-top-width: 10px;
  border-bottom-width: 10px;
  border-left-width: 20px;
  border-right-width: 20px;
  margin-top: -10px;
}
.personA:after {
  border-color: rgba(76, 238, 81, 0);
  border-right-color: rgb(218, 0, 36);
}
.personB:after {
  border-color: rgba(238, 181, 72, 0);
  border-left-color: rgb(0, 0, 194);
}
.personA:before,
.personB:before {
  border-top-width: 12px;
  border-bottom-width: 12px;
  border-left-width: 24px;
  border-right-width: 24px;
  margin-top: -12px;
}
.personA:before {
  border-color: rgba(56, 155, 12, 0);
  margin-right: 1px;
  border-right-color: #666;
}
.personB:before {
  border-color: rgba(155, 53, 10, 0);
  margin-left: 1px;
  border-left-color: rgb(148, 67, 0);
}

@keyframes slide {
  0% {
    transform: translateX(-50%);
    opacity: 0;
  }
  20% {
    transform: translateX(0px);
    opacity: 1;
  }
}
main .wrapper.active > .textAni > span > span {
  animation: slide 0.5s ease-in-out backwards;
}
.textAni span {
  display: inline-block;
  overflow: hidden;
}
@media (max-width: 970px) {
  .container{
    display: grid;
    grid-template:
    "main"
    "aside";
  }
}

@media (max-width: 480px) {
  [class^="person"] {
    font-size: 14px;
  }
  .waku .wrong,
  .waku #index {
    font-size: 1.5em;
  }
  .whiteBoard .waku {
    padding-left: 10px;
  }
  .waku p {
    font-size: 1em;
  }
  .whiteBoard .waku ol li {
    font-size: 1.2em;
  }
  .whiteBoard .waku ol li::before {
    top: 3px;
  }
  #index-wrapper ol {
    padding-left: 50px;
  }
  .wrong-ex::before {
    padding-left: 5px;
  }
}
#topbutton {
  /* ▼ボタンの表示位置を画面の右下に固定 */
  position: fixed; /* ←表示場所を固定 */
  bottom: 10px; /* ←下端からの距離 */
  right: 30px; /* ←右端からの距離 */

  /* ▼最初は非表示にしておく */
  /* display: none; */

  /* ▼配色・配置・文字の装飾など */
  background-color: #2525aa; /* ←背景色 */

  border-radius: 24px; /* ←角丸の半径 */
  text-align: center; /* ←文字の位置 */
  font-size: 110%; /* ←文字サイズ */
  font-weight: bold; /* ←文字の太さ */
  margin: 0px; /* ←外側の余白 */
  padding: 10px; /* ←内側の余白 */
  z-index: 10000;
  opacity: 0;
}
#topbutton a {
  /* ▼リンクの装飾 */
  color: white; /* ←文字色 */
  text-decoration: none; /* ←下線なし */
}
#topbutton a:hover {
  /* ▼マウスが載ったときの装飾 */
  color: yellow; /* ←文字色 */
  text-decoration: underline; /* ←下線あり */
}
